/**********************************************************************
* File: SineTable.c
* Devices: TMS320F28x7x
* Author: C2000 Technical Training, Texas Instruments
**********************************************************************/

#include "Lab.h"						// Main include file


/**********************************************************************
*  Sine table for use with DAC
**********************************************************************/

// quadrature look-up table: contains 4 quadrants of sinusoid data points
int QuadratureTable[SINE_PTS] = {
		0x0000,			// [0]  0.0
		0x1FD4,	        // [1]  14.4
		0x3DA9,	        // [2]  28.8
		0x579E,	        // [3]  43.2
		0x6C12,	        // [4]  57.6
		0x79BB,	        // [5]  72.0
		0x7FBE,	        // [6]  86.4
		0x7DBA,	        // [7]  100.8
		0x73D0,	        // [8]  115.2
		0x629F,	        // [9]  129.6
		0x4B3B,	        // [10] 144.0
		0x2F1E,	        // [11] 158.4
		0x100A,	        // [12] 172.8
		0xEFF6,	        // [13] 187.2
		0xD0E2,	        // [14] 201.6
		0xB4C5,	        // [15] 216.0
		0x9D61,	        // [16] 230.4
		0x8C30,	        // [17] 244.8
		0x8246,	        // [18] 259.2
		0x8042,	        // [19] 273.6
		0x8645,        	// [20] 288.0
		0x93EE,	        // [21] 302.4
		0xA862,	        // [22] 316.8
		0xC257,	        // [23] 331.2
		0xE02C         	// [24] 345.6
		};

/*** end of file *****************************************************/
